<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <fragment
        android:id="@+id/map"
        android:name="com.google.android.gms.maps.SupportMapFragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".MapsActivity" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#50000000"
        app:layout_constraintBottom_toBottomOf="@+id/activity_maps_button_send"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/activity_maps_edittext_id_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="id"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/activity_maps_edittext_id"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="myId" />

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/activity_maps_edittext_radius_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="radius"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_id_layout">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/activity_maps_edittext_radius"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="100" />

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/activity_maps_edittext_warning_delay_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="warning delay"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_radius_layout">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/activity_maps_edittext_warning_delay"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="1800" />

    </com.google.android.material.textfield.TextInputLayout>


    <com.google.android.material.textfield.TextInputLayout

        android:id="@+id/activity_maps_edittext_check_delay_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="check delay"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_warning_delay_layout">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/activity_maps_edittext_check_delay"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="300" />

    </com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/activity_maps_button_send"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Add"
        app:layout_constraintHorizontal_chainStyle="spread"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/activity_maps_button_clear"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_check_delay_layout" />

    <Button
        android:id="@+id/activity_maps_button_clear"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Clear"
        app:layout_constraintLeft_toRightOf="@+id/activity_maps_button_send"
        app:layout_constraintRight_toRightOf="@+id/activity_maps_button_clear_db"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_check_delay_layout" />

    <Button
        android:id="@+id/activity_maps_button_clear_db"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Clear DB"
        app:layout_constraintLeft_toRightOf="@+id/activity_maps_button_clear"
        app:layout_constraintRight_toRightOf="@+id/activity_maps_button_load"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_check_delay_layout" />

    <Button
        android:id="@+id/activity_maps_button_load"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="LOAD"
        app:layout_constraintLeft_toRightOf="@+id/activity_maps_button_clear_db"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/activity_maps_edittext_check_delay_layout" />

    <Button
        android:id="@+id/activity_maps_button_toggle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="TOGGLE"
        android:visibility="gone"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/developper"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="activity_maps_edittext_id_layout, activity_maps_edittext_radius_layout, activity_maps_edittext_warning_delay_layout, activity_maps_edittext_check_delay_layout, activity_maps_button_send, activity_maps_button_clear, activity_maps_button_clear_db, activity_maps_button_load"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>


